Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044438
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-06-22 10:262020-07-08 12:10
ReporteraaroncaleroView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044438: [skin] Scroll doesn't work in Mobile if the swiping action is started on an input field

DescriptionWhen using the WebPOS in a mobile phone/tablet, some popups and components don't scroll correctly under specific circumstances.
If the scroll area contains text inputs, and the swiping action is started holding the finger on the text input, the scroll doesn't work.
However if the scroll action is started holding the finger on top of any other component (images, fixed labels, etc) then the scroll works fine.
Examples:
* The product list scroller works fine in any case (list components are buttons)
* The customer list scroller works fine
* The customer advanced filters window can only scroll if the finger is positioned either on top of the field names (fixed text) or on top of the sorting arrows (buttons). The scroll won't work if the finger is positioned on top of the inputs.
* New/Edit Customer window: scroll works only if started on the sides of the popup; doesn't work if started on top of an input field.

Scroll should be consistent regardless of where the scroll action is initiated.
Steps To ReproduceIn a mobile, log in WebPOS
Click on Cart, then on the ticket customer window, then click on Advanced Filters.
Try to scroll/swipe the advanced filters screen by:
* starting to swipe over the text labels => it will work
* starting to swipe over the input fields => it won't scroll
* starting to swipe over the sort arrows => it will work.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121317)
hgbot (developer)
2020-07-08 09:01

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/31 [^]
(0121323)
hgbot (developer)
2020-07-08 11:48

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 84914c71e88fb08b4de84dfcd3085c1054dabe87
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-07-08T15:15:47+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/84914c71e88fb08b4de84dfcd3085c1054dabe87 [^]

Fixed BUG-44438: Touch scroll over input fields are not working in Mobile Device

* Added pointer-events of value none to input field on scrolling to allow scroll over input fields
* Added pointer-events of value auto to input field on focus to allow value entry in input fields

---
M web/org.openbravo.mobile.core/assets/css/obmobc-main.css
M web/org.openbravo.mobile.core/source/component/ob-form.js
---

- Issue History
Date Modified Username Field Change
2020-06-22 10:26 aaroncalero New Issue
2020-06-22 10:26 aaroncalero Assigned To => Retail
2020-06-22 10:26 aaroncalero Triggers an Emergency Pack => No
2020-07-07 15:22 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-07-08 09:01 hgbot Note Added: 0121317
2020-07-08 09:03 prakashmurugesan88 Status new => scheduled
2020-07-08 11:48 hgbot Resolution open => fixed
2020-07-08 11:48 hgbot Status scheduled => resolved
2020-07-08 11:48 hgbot Note Added: 0121323
2020-07-08 12:10 marvintm Review Assigned To => marvintm
2020-07-08 12:10 marvintm Status resolved => closed
2020-07-08 12:10 marvintm Fixed in Version => RR20Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker